*, *::before, *::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

html {
  background-color: #fff;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  line-height: 1.15;
  ms-overflow-style: scrollbar;
  -moz-osx-font-smoothing: grayscale;
  overflow: hidden;
  scroll-behavior: smooth;
  -webkit-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

body {
  background: linear-gradient(135deg, #fc5d47, #60c1fc, #fc5d47, #60c1fc);
  background-size: 200% 200%;

  bottom: 0;
  display: flex;
  height: 100%;
  left: 0;
  min-height: 100vh;
  overflow: hidden;
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  z-index: 1;
  animation: gradient 32s ease infinite;
  @media screen and (max-width: 768px) {
    animation: gradient 22s ease infinite;
  }

  .header::selection,
  .subheader::selection {
    background-color: #111111;
    color: #F5F9FF;
  }

  &::before,
  &::after {
    content: '';
    height: 100%;
    position: absolute;
    width: 100%;
  }

  &::before {
    background: #fff;
    border-radius: 50%;
    bottom: -147%;
    box-shadow: 0 0 2000px 1300px rgba(255, 255, 255, .55);
    left: -147%;
    z-index: 2;
    @media screen and (max-width: 1024px) {
      bottom: -97%;
      box-shadow: 0 0 300px 200px rgba(255, 255, 255, .55);
      left: -97%;
    }
  }

  &::after {
    background: #94AFEA;
    border-radius: 100%;
    box-shadow: 0 0 700px 400px rgba(148, 175, 234, .7);
    right: -72%;
    top: -106%;
    z-index: 3;
    @media screen and (max-width: 1024px) {
      right: -97%;
      box-shadow: 0 0 300px 200px rgba(148, 175, 234, .7);
      top: -97%;
    }
  }
}

// custom cursor
//.circularcursor {
//  background-color: transparent;
//  border: 2px solid #111;
//  border-radius: 50%;
//  height: 18px;
//  position: absolute;
//  width: 18px;
//  z-index: 70;
//   //@media screen and (max-width: 768px) {
//   //  display: none;
//   //}
//}

.tilt{
  padding: 40px;
  position: relative;
  z-index: 50;
}

#root {
  height: 100%;
  width: 100%;

  .main {
    align-items: center;
    display: flex;
    height: 100%;
    justify-content: center;
    width: 100%;
  }

  .bg-lines {
    height: 100%;
    left: 0;
    opacity: .1;
    overflow: hidden;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
  }

  .bg-line-even,
  .bg-line-odd {
    background-repeat: repeat-x;
    height: 48px;
  }

  .bg-line-even {
    animation: animatedBackgroundRTL 30s linear infinite;
    background-image: url('./bg-img-even.svg');
    background-position: center left;
  }

  .bg-line-odd {
    animation: animatedBackgroundLTR 30s linear infinite;
    background-image: url('./bg-img-odd.svg');
    background-position: center right;
  }

  .content {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    z-index: 10;
    @media screen and (max-width: 520px) {
      padding: 20px;
    }

    .logo {
      display: flex;
      justify-content: center;
      width: 100%;
      svg {
        @media screen and (max-width: 991px) {
          width: 100%;
        }
      }

    }

    .header, .subheader {
      color: #111111;
      font-family: 'Inter', sans-serif;
      text-align: center;
    }

    .header {
      font-size: 36px;
      margin-top: 30px;
      @media screen and (max-width: 768px) {
        font-size: 26px;
        margin-top: 20px;
      }
    }

    .subheader {
      font-size: 24px;
      font-style: italic;
      margin-top: 30px;
      @media screen and (max-width: 768px) {
        font-size: 18px;
        margin-top: 20px;
      }
    }

  }
}

@keyframes animatedBackgroundRTL {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -380px 0;
  }
}

@keyframes animatedBackgroundLTR {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 380px 0;
  }
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}


